---     
tags: 
  - Satbots
description: Performs an action on a Satbot object.
  <br/><br/>Can retry or reset a Satbot, or retrieve the download path if the Satbot is of downloadable type.  The state must be in an expected state, otherwise a message is returned.
  <br/><br/>User must be an admin.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: query
    name: Authorization
    type: string
    required: true
    enum: ['retry', 'kill', 'download_path']
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "message": "Satbot reset"
      }
  405:
    schema:
      type: object
      example: {
        "message": "Satbot not in an Error state - cannot reset"
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

